Skip to main content
PATCH
Update Knowledge Source

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

source_id
string
required

Body

multipart/form-data
source
file | null
name
string | null
description
string | null

Response

Request fulfilled, document follows

knowledge_source_id
string
required
workspace_id
string
required
name
string
required
file_name
string
required
size_bytes
integer
required
chunk_count
integer
required
revision_number
integer
required

Increments every time the content is replaced. Drafts always use the newest revision; published versions pin the revision current at publish time.

created_at
string<date-time>
required
updated_at
string<date-time>
required
content
string
required

The full current text content.

description
string
default:""